ScreenMeetTest logoScreenMeetTest documentationAPI referencescreenmeettest
API reference
GET/auth/consoleSessionToken

Retrieve console sign-on magic URL

Retrieve a magic url to automatically sign-in to ScreenMeet console as the currently authenticated user. Claim for **'role_agent'** value must be set to 'true'. The URL must be used to sign-in within 60 seconds or the console login token will expire.

Authorization

bearerAuth http (bearer)

Parameters

target_path (query)

Desired target page to land on after magic console sign-on, e.g: sessionhistory/details/ldpNkWLdPWaW

string

Responses

200

OK Response body will contain a plain text URL that can be used to login to the ScreenMeet console.

text/html
object
text/plain
string
{
  "default": {
    "value": "https://console.screenmeet.com/consoletokenlogin?token=...."
  }
}
application/xml
object
application/json
object
application/EDI-X12
object
multipart/form-data
object
403

Authorization Problem - either the JWT is malformed or the signature is bad, or permission is denied

application/json
object
codenumber

number
refcodenumber

number
descriptionstring

string
X-Request-Idstring

string
{
  "PermissionDenied": {
    "value": {
      "code": 403,
      "refcode": 200403,
      "description": "Authorization token is invalid: Error request id: 1-62ed207a-24baa293558168e06b8402c3 [8/5/2022, 6:51:54 AM PST]",
      "X-Request-Id": "1-62ed207a-24baa293558168e06b8402c3"
    }
  },
  "MalformedJWTOrBadSignature": {
    "value": {
      "code": 403,
      "refcode": 200403,
      "description": "Authorization token is invalid: JsonWebTokenError request id: 1-62ed1a55-0265e424598b4f1b580bd784 [8/5/2022, 6:25:41 AM PST]",
      "X-Request-Id": "1-62ed1a55-0265e424598b4f1b580bd784"
    }
  }
}